import UIKit
import Flutter

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
    override func application(
        _ application: UIApplication,
        didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        GeneratedPluginRegistrant.register(with: self);
        
        let controller : FlutterViewController = window?.rootViewController as! FlutterViewController;
        let channel = FlutterMethodChannel.init(name: "com.encrypt",
                                                binaryMessenger: controller);
        channel.setMethodCallHandler({
            (call: FlutterMethodCall, result: FlutterResult) -> Void in
            if ("getDES" == call.method) {
                let arguments = call.arguments as![String:Any]
                let arg = arguments["beforeDES"] as! String
                let key = arguments["key"] as! String
                result(DESUtil.encrypt(arg,key));
            } else {
                result(FlutterMethodNotImplemented);
            }
        });
        
        return super.application(application, didFinishLaunchingWithOptions: launchOptions);
    }}
